---
title: PushManager.register()
slug: Web/API/PushManager/register
tags:
  - API
  - Deprecated
  - Method
  - Reference
  - Simple Push API
---
<div>{{deprecated_header}}{{ ApiRef("Push API")}}</div>

<p>The <strong><code>register</code></strong> method is used to ask the system to request a new endpoint for notifications. This method has been superceded by {{domxref("PushManager.subscribe()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var request = navigator.push.register();</pre>

<h3 id="Return">Return</h3>

<p>A {{domxref("DOMRequest")}} object to handle the success or failure of the method call.</p>

<p>If the method call is successful, the request's <code>result</code> will be a string, which is the endpoint URL.</p>

<div class="note">
<p><strong>Note:</strong> if you do not need the URL any more, please use {{domxref("Pushmanager.unregister()")}} to clean up after yourself.</p>
</div>

<h2 id="Example">Example</h2>

<pre class="brush: js">var req = navigator.push.register();

req.onsuccess = function(e) {
  var endpoint = req.result;
  debug("New endpoint: " + endpoint );
}

req.onerror = function(e) {
  debug("Error getting a new endpoint: " + JSON.stringify(e));
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Push API')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Defines the <code>PushManager</code> interface.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PushManager.register")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PushManager")}}</li>
 <li>{{domxref("DOMRequest")}}</li>
</ul>
